Skip to main content
GET
/
v1
/
api-keys
List API Keys
curl --request GET \
  --url https://api.dispersed.com/v1/api-keys
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "is_revoked": true,
      "name": "<string>",
      "object": "api_key",
      "permissions": [
        "<string>"
      ],
      "public_key": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "_id": "<string>",
      "account": "<string>",
      "account_uuid": "<string>",
      "allowed_ips": [
        "127.0.0.1",
        "192.168.1.1/24"
      ],
      "deleted_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "uuid": "<string>"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[account]
string
filter[account_uuid]
string<uuid>
filter[created_at]
string
Example:

"2023-01-01,2024-01-01"

filter[expires_at]
string
Example:

"2023-01-01,2024-01-01"

filter[is_revoked]
string
Example:

"true"

Response

List of API keys

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required